
FWG Internal - Bug #23869

FWG: Staging: web app: Transaction Log: Facing Performance Issue.

March 07, 2025 06:37 AM - Palash Tembhurnekar

Status: Closed Start date: March 07, 2025

Priority: Normal Due date:  

Assignee: Dinesh Pedagada % Done: 0%

Category:  Estimated time: 0:00 hour

Target version:  Spent time: 0:00 hour

Description

On Transaction Log page when opened the Columns Dropdown & tried to scroll the column names & Pinned on any column name

then the screen gets stuck for some seconds & due to which not able to use the web app properly.

History

#1 - March 10, 2025 01:20 PM - Dinesh Pedagada

On the Transaction Log page, we initially implemented a feature where clicking on a specific column would freeze all columns up to that point, as per

your suggestion. However, we encountered a performance issue—by default, the first four columns are frozen, and while users can freeze up to the

10th or 11th column (which remains visible on the screen), freezing beyond that causes the page to slow down and become unresponsive due to

insufficient space.

To address this, I have developed a new approach: except for the first four columns, all other columns can now be individually frozen and unfrozen.

This solution is working fine, and since we have a meeting tomorrow, I have implemented this change to avoid performance issues in front of the

client. If they approve, we can proceed with this approach.

#2 - March 10, 2025 01:21 PM - Dinesh Pedagada

- Status changed from New to Resolved

#3 - March 11, 2025 03:54 AM - Palash Tembhurnekar

Verified in staging web app, now on the transaction log page in columns dropdown here we can individually Freeze & Unfreeze the columns & due to

which not facing the performance issue. Done, marking it as closed

#4 - March 11, 2025 03:54 AM - Palash Tembhurnekar

- Status changed from Resolved to Closed
